Movabase Docs
Public API

Delete translation

Soft-deletes a translation (sets `deleted_at` timestamp) by default, or permanently deletes if `permanent: true`. Requires `canEditTranslations` permission.

DELETE
/api/projects/{project-id}/translations
sb-access-token<token>

Supabase Auth session cookie. Automatically set when users log in via the Movabase web app.

In: cookie

Path Parameters

project-id*string

Project ID

Formatuuid

Request Body

application/json

id*string

Translation ID to delete

permanent?boolean

If true, permanently delete instead of soft-delete

Defaultfalse

Response Body

application/json

curl -X DELETE "https://app.movabase.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/translations" \  -H "Content-Type: application/json" \  -d '{    "id": "string"  }'
{
  "success": true
}